Subject: Re: [PATCH 1/2] powerpc: add BookS wait opcode macro

From: Segher Boessenkool <[email-masked]>
Date: Tue, 12 Jul 2022 11:29:03 -0500

Hi!

On Mon, Jul 11, 2022 at 01:11:27PM +1000, Nicholas Piggin wrote:
> The wait instruction has a different encoding between BookE and BookS.
> Add the BookS variant.

>  #define PPC_RAW_WAIT(w)			(0x7c00007c | __PPC_WC(w))
> +#define PPC_RAW_WAIT_BOOKS(w, p)	(0x7c00003c | __PPC_WC(w) | __PPC_PL(p))

The embedded extensions are no longer part of the PowerPC architecture,
so wouldn't it be a better way forward to rename the existing one,
instead?  A bit more work now, but less in the future :-)

Segher